pdffonts(1)

NAME
pdffonts - Portable Document Format (PDF) font analyzer (version 3.04)

SYNOPSIS
pdffonts [options] [PDF-file]

DESCRIPTION
Pdffonts lists the fonts used in a Portable Document Format (PDF) file along with various information for each font.

The following information is listed for each font:

name
    the font name, exactly as given in the PDF file (potentially including a subset prefix)

type
    the font type -- see below for details

emb "yes" if the font is embedded in the PDF file

sub "yes" if the font is a subset

uni "yes" if there is an explicit "ToUnicode" map in the PDF file (the absence of a ToUnicode map doesn't necessarily mean that the text can't be converted to Unicode)

object ID
    the font dictionary object ID (number and generation)

location
    the font location (see the -loc and -locPS options).

PDF files can contain the following types of fonts:

    Type 1
    Type 1C -- aka Compact Font Format (CFF)
    Type 1C (OT) -- OpenType with 8-bit CFF data
    Type 3
    TrueType
    TrueType (OT) -- OpenType with 8-bit TrueType data
    CID Type 0 -- 16-bit font with no specified type
    CID Type 0C -- 16-bit PostScript CFF font
    CID Type 0C (OT) -- OpenType with CID CFF data
    CID TrueType -- 16-bit TrueType font
    CID TrueType (OT) -- OpenType with CID TrueType data

CONFIGURATION FILE
Pdffonts reads a configuration file at startup. It first tries to find the user's private config file, ~/.xpdfrc. If that doesn't exist, it looks for a system-wide config file, typically /usr/local/etc/xpdfrc (but this location can be changed when pdffonts is built). See the xpdfrc(5) man page for details.

OPTIONS
Many of the following options can be set with configuration file commands. These are listed in square brackets with the description of the corresponding command line option.

-f number
    Specifies the first page to analyze.

-loc
    Shows additional information on the location of the font that will be used when the PDF file is rasterized (with xpdf, pdftoppm, etc.).

-locPS
    Shows additional information on the location of the font that will be used when the PDF file is converted to PostScript (with pdftops).

-l number
    Specifies the last page to analyze.

-opw password
    Specify the owner password for the PDF file. Providing this will bypass all security restrictions.

-upw password
    Specify the user password for the PDF file.

-cfg config-file
    Read config-file in place of ~/.xpdfrc or the system-wide config file.

-v  Print copyright and version information.

-h  Print usage information. (-help and --help are equivalent.)

EXIT CODES
The Xpdf tools use the following exit codes:

0   No error.

1   Error opening a PDF file.

2   Error opening an output file.

3   Error related to PDF permissions.

99  Other error.

AUTHOR
The pdffonts software and documentation are copyright 1996-2014 Glyph & Cog, LLC.

SEE ALSO
xpdf(1), pdftops(1), pdftotext(1), pdftohtml(1), pdfinfo(1), pdfdetach(1), pdftoppm(1), pdftopng(1), pdfimages(1), xpdfrc(5)
http://www.foolabs.com/xpdf/